### A free/open-source library for quantitative finance

Classes | Functions
ql/time/period.hpp File Reference

period- and frequency-related classes and enumerations More...

`#include <ql/time/frequency.hpp>`
`#include <ql/time/timeunit.hpp>`
`#include <ql/types.hpp>`
Include dependency graph for period.hpp:

## Classes

class | Period

## Functions

std::ostream & | operator<< (std::ostream &, const long_period_holder &)
std::ostream & | operator<< (std::ostream &, const short_period_holder &)
detail::long_period_holder | long_period (const Period &)
| output periods in long format (e.g. "2 weeks")
detail::short_period_holder | short_period (const Period &)
| output periods in short format (e.g. "2w")
template<typename T >
Period | operator* (T n, TimeUnit units)
template<typename T >
Period | operator* (TimeUnit units, T n)
Period | operator- (const Period &p)
Period | operator* (Integer n, const Period &p)
Period | operator* (const Period &p, Integer n)
bool | operator== (const Period &p1, const Period &p2)
bool | operator!= (const Period &p1, const Period &p2)
bool | operator> (const Period &p1, const Period &p2)
bool | operator<= (const Period &p1, const Period &p2)
bool | operator>= (const Period &p1, const Period &p2)

## Detailed Description

period- and frequency-related classes and enumerations